#include <vector>
#include <iostream>
#include <assert.h>


int get_best_power(const std::vector<int> &input){
	// 2^29 < 10^9 < 2^30, tedy MAX_PW je nejvyssi mocnina dvojky ve vstupnich cislech
	int MAX_PW = 1<<29;

	for(int b = MAX_PW; b >= 1; b>>=1){
		int res = (1<<30) - 1;
		for(auto x : input){
			if(x & b)res &= x;
		}
		assert(res > 0); // Alespon b by melo v res zustat
		if(0 == (res % b)){
			return b;
		}
	}
	assert(false);
}

int main(){
	std::vector<int> input;
	int n;

	std::cin >> n;
	input.resize(n);

	for(int i = 0; i < n; i++){
		std::cin >> input[i];
	}

	int b = get_best_power(input);

	int cnt = 0;
	
	for(auto x : input)if(x & b){
		cnt++;
	}

	std::cout << cnt << std::endl;

	for(auto x : input)if(x & b){
		std::cout << x << " ";
	}
	std::cout << std::endl;
}